org.gradle.tooling.provider.model

## Interface ToolingModelBuilderRegistry

-     @Incubating
      public interface ToolingModelBuilderRegistry

  A registry of tooling model builders. Adding a builder to this registry makes a model (or models) available via the tooling API.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ToolingModelBuilder` | `getBuilder(String modelName)`
    `void` | `register(ToolingModelBuilder builder)`

- - ### Method Detail

    - #### register

          void register(ToolingModelBuilder builder)

    - #### getBuilder

          ToolingModelBuilder getBuilder(String modelName)
                                         throws UnknownModelException

      Throws:
        `UnknownModelException`